• Package-Query core dump issued, continued. Ticket 6 days old.


    Guys,

    If you want to get into the big leagues, you cannot allow issues linger for 6 days or more on the belief that it is an upstream issue.

    I’ve opened a ticket with the devs of package-query:
    https://github.com/archlinuxfr/package-query/issues/110

    and have asked them to look at /usr/lib/yaourt/util.sh, line 190 and give their opinion as to what the problem is.

    Someone needs to own this issue and I don’t think the maintainers of package-query are obliged to fix an issue in the yaourt implementation, do you?

    Please escalate this issue and advise at your earliest.
    – Dietrich

  • Hi mate.
    Who said that pamac is responsible for the AUR to break? I am having the same issue and I never use pamac, but the terminal…
    As far as I know, pamac, isn t a creation of the Antergos devs.
    Antegos, is not the only Arch/Arch-based distro affected.
    Anyway, I think it would be more productive if you first addressed your complaint to the developes here first and then, if their answer/action did not satisfy you, you could notify the package-query devs.

    1.Antergos Linux KDE plasma / Gnome 2.Ubuntu 17.10 64bit Unity
    Intel Core2 Duo CPU P8400 2.26GHz‖ RAM 3908 MiB ‖ Dell Inc. 0F328M - Dell Inc. Latitude E6500
    Intel Mobile 4 Series Chipset Integrated Graphics [8086:2a42] {i915

  • im pretty sure pamac was made by manjaro. updating through the terminal is so :cake: cake. everyone should know how to do that if you are on Arch/Antergos.

  • @dtschmitz you could also just try another package manager. pamac isnt the only game in town ;)

  • sudo pacman -Rdd package-query
    download and unpack: https://aur.archlinux.org/cgit/aur.git/snapshot/package-query.tar.gz
    cd package-query
    makepkg -sri
    

    After that you will be able to install and search AUR packages.

  • @anarch said:

    Hi mate.
    Who said that pamac is responsible for the AUR to break? I am having the same issue and I never use pamac, but the terminal…
    As far as I know, pamac, isn t a creation of the Antergos devs.
    Antegos, is not the only Arch/Arch-based distro affected.
    Anyway, I think it would be more productive if you first addressed your complaint to the developes here first and then, if their answer/action did not satisfy you, you could notify the package-query devs.

    Nobody said anything of the sort. Read the issue on https://github.com/archlinuxfr/package-query/issues/110

    It’s now /usr/lib/yaourt/util.sh which calls package-query that is broken (line 190).

    Folks. The maintainer of yaourt or one of the Antergos devs needs to address utils.sh and fix ASAP.

  • @voepew said:

    sudo pacman -Rdd package-query
    download and unpack: https://aur.archlinux.org/cgit/aur.git/snapshot/package-query.tar.gz
    cd package-query
    makepkg -sri
    

    After that you will be able to install and search AUR packages.

    Nope. I am using 1.8 package-query:
    [[email protected] doxygen]$ package-query -v
    package-query 1.8

    The issue is util.sh is passing incorrect arg into package-query as explained in the git repo for package-query. But thanks.

  • We neither develop pamac nor yaourt. Please, report this issue upstream.

    Thanks!

  • Yes, @karasu is right. This is not the place to report bugs in yaourt and package-query. Also worth mentioning is that I’ve had no issues with yaourt so whatever the problem is, it obviously doesnt make yaourt completely unusable.

  • This topic has been covered here a lot. This fixed the problem for me.

    run these in terminal:

    sudo pacman -Rdd package-query
    mkdir make-package-query-git
    cd make-package-query-git
    wget https://aur.archlinux.org/cgit/aur.git/snapshot/package-query-git.tar.gz
    tar xfz package-query-git.tar.gz
    cd package-query-git
    makepkg -Acs
    sudo pacman -U package-query-git-1.8.2.gc4e1da3-1-x86_64.pkg.tar

  • @Torg said:

    This topic has been covered here a lot. This fixed the problem for me.

    run these in terminal:

    sudo pacman -Rdd package-query
    mkdir make-package-query-git
    cd make-package-query-git
    wget https://aur.archlinux.org/cgit/aur.git/snapshot/package-query-git.tar.gz
    tar xfz package-query-git.tar.gz
    cd package-query-git
    makepkg -Acs
    sudo pacman -U package-query-git-1.8.2.gc4e1da3-1-x86_64.pkg.tar

    Thanks for your help – I’ve done this but still have a core dump:
    http://i.imgur.com/YWbYvTx.png
    when util.sh is called, part of yaourt – have opened an issue with yaourt devs (who also code package-query):
    https://github.com/archlinuxfr/yaourt/issues/248

  • @dtschmitz that picture says your using package-query 1.8-1. You need to install package-query 1.8.2 from the AUR

  • I did everything again, (previously took shortcut – WRONG!! :P
    Now working. Thanks for your help.

    Mark solved.

  • My,my!! Are we so behind, or pacage-query moved so fast?

    pkgname=package-query-git
    pkgver=1.8.7.g60f5df9

    1.Antergos Linux KDE plasma / Gnome 2.Ubuntu 17.10 64bit Unity
    Intel Core2 Duo CPU P8400 2.26GHz‖ RAM 3908 MiB ‖ Dell Inc. 0F328M - Dell Inc. Latitude E6500
    Intel Mobile 4 Series Chipset Integrated Graphics [8086:2a42] {i915

  • pacage-query moved too fast

    ;)

Posts 15Views 1551
Log in to reply